summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-06-02 15:38:53 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-06-02 15:38:53 +0000
commit49120b96fff4f71fbc2f42728be6ccef6f132293 (patch)
tree1944e12acffe3b6b69a3eacf53d102ba5aeb2b0d /dev-python
parentdf899fa791750d19ac5a7dc30a1778095d3f8d60 (diff)
downloadbaldeagleos-repo-49120b96fff4f71fbc2f42728be6ccef6f132293.tar.gz
baldeagleos-repo-49120b96fff4f71fbc2f42728be6ccef6f132293.tar.xz
baldeagleos-repo-49120b96fff4f71fbc2f42728be6ccef6f132293.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/PyPDF2/Manifest1
-rw-r--r--dev-python/PyPDF2/PyPDF2-2.0.0.ebuild56
-rw-r--r--dev-python/absl-py/Manifest1
-rw-r--r--dev-python/absl-py/absl-py-1.1.0.ebuild79
-rw-r--r--dev-python/adblock/Manifest2
-rw-r--r--dev-python/adblock/adblock-0.5.2-r1.ebuild2
-rw-r--r--dev-python/boltons/Manifest2
-rw-r--r--dev-python/boltons/boltons-21.0.0-r1.ebuild4
-rw-r--r--dev-python/boltons/boltons-21.0.0.ebuild30
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.24.1.ebuild68
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.27.1.ebuild70
-rw-r--r--dev-python/botocore/files/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch32
-rw-r--r--dev-python/django/Manifest2
-rw-r--r--dev-python/django/django-4.0.5.ebuild109
-rw-r--r--dev-python/glob2/glob2-0.7-r1.ebuild2
-rw-r--r--dev-python/glob2/glob2-0.7.ebuild21
-rw-r--r--dev-python/hypothesis/Manifest1
-rw-r--r--dev-python/hypothesis/hypothesis-6.46.11.ebuild73
-rw-r--r--dev-python/importlib_metadata/importlib_metadata-4.11.3.ebuild1
-rw-r--r--dev-python/importlib_metadata/importlib_metadata-4.11.4.ebuild3
-rw-r--r--dev-python/importlib_resources/importlib_resources-5.7.1.ebuild1
-rw-r--r--dev-python/irc/irc-20.0.0-r1.ebuild2
-rw-r--r--dev-python/jaraco-itertools/jaraco-itertools-6.2.1.ebuild2
-rw-r--r--dev-python/jaraco-path/jaraco-path-3.4.0.ebuild3
-rw-r--r--dev-python/jsonschema/Manifest1
-rw-r--r--dev-python/jsonschema/jsonschema-4.6.0.ebuild53
-rw-r--r--dev-python/keyring/keyring-23.5.1.ebuild3
-rw-r--r--dev-python/nptyping/Manifest1
-rw-r--r--dev-python/nptyping/nptyping-2.1.1.ebuild45
-rw-r--r--dev-python/parse/parse-1.19.0-r1.ebuild2
-rw-r--r--dev-python/parse/parse-1.19.0.ebuild17
-rw-r--r--dev-python/parse_type/Manifest2
-rw-r--r--dev-python/parse_type/parse_type-0.6.0.ebuild2
-rw-r--r--dev-python/pygobject/files/pygobject-3.42.0-dynamicimporter-py310.patch61
-rw-r--r--dev-python/pytest-bdd/Manifest2
-rw-r--r--dev-python/pytest-bdd/pytest-bdd-5.0.0-r1.ebuild4
-rw-r--r--dev-python/pytest-bdd/pytest-bdd-5.0.0.ebuild38
-rw-r--r--dev-python/readthedocs-sphinx-ext/Manifest1
-rw-r--r--dev-python/readthedocs-sphinx-ext/readthedocs-sphinx-ext-2.1.8.ebuild30
-rw-r--r--dev-python/redis-py/Manifest1
-rw-r--r--dev-python/redis-py/redis-py-4.3.2.ebuild72
-rw-r--r--dev-python/tempora/tempora-5.0.1.ebuild3
-rw-r--r--dev-python/tubes/Manifest1
-rw-r--r--dev-python/tubes/tubes-0.2.1.ebuild30
-rw-r--r--dev-python/twine/Manifest1
-rw-r--r--dev-python/twine/twine-4.0.1.ebuild80
-rw-r--r--dev-python/zipp/zipp-3.8.0.ebuild3
49 files changed, 790 insertions, 232 deletions
diff --git a/dev-python/PyPDF2/Manifest b/dev-python/PyPDF2/Manifest
index 0740dbbba47b..0cb9fb5d1529 100644
--- a/dev-python/PyPDF2/Manifest
+++ b/dev-python/PyPDF2/Manifest
@@ -3,5 +3,6 @@ DIST PyPDF2-1.28.1.gh.tar.gz 4260569 BLAKE2B 69b925a463c262ab207dd768160ea9083b1
DIST PyPDF2-1.28.2.gh.tar.gz 4260541 BLAKE2B 16cf7358dbd201e54853022b341fa7501b691d258380ac02464ae410d045a454785e03507b48f05b2ed92dc7a437cdc7703ba2417ca0c6d3c43846d3daaa00fa SHA512 3f69e983fcd83485cb76a957ee5ae436468bb9d04db821271cbb1f37c1f796ea974dd8dd425e0b4f9867e19fe14861355f9f5f8349a52ef8f7f829832f0694ca
DIST PyPDF2-1.28.3.gh.tar.gz 4261567 BLAKE2B 8f76d23d1c30c42e78585b6ced44726c9c6a701f52b08a7130e3923e63a058f69525442d06e85db4de4345b6c4a14ce97d5e7fbec4431b01d5ca86ba759482c4 SHA512 0a7b54759b0ce6a5383364ea1014e8c3bf80c180ab533b905dc676df8d0307ad6ae46007033b8c23f2c7986d45086d98485631f867d562e70cc09c52862142d9
DIST PyPDF2-1.28.4.gh.tar.gz 4397029 BLAKE2B 2db9aacc55d06e961708ee455562e28f59bbc3fd973547feb1e596df52872fa2fb7a424e2159e7c0c2cacd3c6bdff987f72fec7db41422a0aae4aa33a60f1cb6 SHA512 a93406f9a0e177f0ad1d92430f212abbc7b7486b86f37b281e68595de125e0fcdfbf73fc7d66490698d8355875659633c3785e8c2725e52ef9d615441b5aa517
+DIST PyPDF2-2.0.0.gh.tar.gz 4574406 BLAKE2B 8554fdb7ab9ea1b9990ba72fb05ed02ef8732788b896013f3410f74bad482a95dfb42215cff247d411e6e84bd1afa3437af36f203b7aa45890c4c5681853dfb9 SHA512 8bdd9c2cdd20758a183696d8d33a207f9be9183e63b7757e09d281f4ae4a6a61714a49c940d5bd57df8a6074ad7498f17354b5d4984b1b2ad4bd119b62d93138
DIST PyPDF2-sample-files-41b5cd4f774f8fbd8ac42d93b9962f0376352a15.gh.tar.gz 5406287 BLAKE2B 8ddad01235bdb55cee596d9114e5b6c3b153919bcff5203d229311243516f3595cb36dcca87cae27514a8231d72daa94782115795bff8c1c3d046236811c21e0 SHA512 6c38d5ee0e1c5c0ffdd78f7c2fe56dbf357a1e82d2af642a10264a6102ae8fb95cba6d2f76b26df6a33a5d84cfd5111885d39c1747cf95a5ce545f26bdb37263
DIST PyPDF2-sample-files-41b5cd4f774f8fbd8ac42d93b9962f0376352a15.tar.gz 5406287 BLAKE2B 8ddad01235bdb55cee596d9114e5b6c3b153919bcff5203d229311243516f3595cb36dcca87cae27514a8231d72daa94782115795bff8c1c3d046236811c21e0 SHA512 6c38d5ee0e1c5c0ffdd78f7c2fe56dbf357a1e82d2af642a10264a6102ae8fb95cba6d2f76b26df6a33a5d84cfd5111885d39c1747cf95a5ce545f26bdb37263
diff --git a/dev-python/PyPDF2/PyPDF2-2.0.0.ebuild b/dev-python/PyPDF2/PyPDF2-2.0.0.ebuild
new file mode 100644
index 000000000000..44561a4fcbf7
--- /dev/null
+++ b/dev-python/PyPDF2/PyPDF2-2.0.0.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+SAMPLE_COMMIT=41b5cd4f774f8fbd8ac42d93b9962f0376352a15
+DESCRIPTION="Python library to work with PDF files"
+HOMEPAGE="
+ https://pypi.org/project/PyPDF2/
+ https://github.com/py-pdf/PyPDF2/
+"
+SRC_URI="
+ https://github.com/py-pdf/PyPDF2/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ test? (
+ https://github.com/py-pdf/sample-files/archive/${SAMPLE_COMMIT}.tar.gz
+ -> ${PN}-sample-files-${SAMPLE_COMMIT}.gh.tar.gz
+ )
+"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+IUSE="examples"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ ' 3.8 3.9)
+"
+BDEPEND="
+ dev-python/pillow[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_unpack() {
+ default
+ if use test; then
+ mv "sample-files-${SAMPLE_COMMIT}"/* "${P}"/sample-files/ || die
+ fi
+}
+
+src_install() {
+ if use examples; then
+ docinto examples
+ dodoc -r Sample_Code/.
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+ distutils-r1_src_install
+}
diff --git a/dev-python/absl-py/Manifest b/dev-python/absl-py/Manifest
index 890e194815c1..32415200b530 100644
--- a/dev-python/absl-py/Manifest
+++ b/dev-python/absl-py/Manifest
@@ -1 +1,2 @@
+DIST abseil-py-1.1.0.gh.tar.gz 219274 BLAKE2B 96848e3a738c295b3396b2eb45a6a2428f02ca7d325f24629d7ef8b87bdb19c8c2a33c95dcd716e286034f24d669bea27dc5470b92fcb3df437266e98a08ae6c SHA512 75e017399d28e38a5229b95b6372ad05b9d6067c3fef1cf7a64b5123399377025654dafaf6a1debc5664440efa8d26b76610629ad440e472faefd4f99b3bc685
DIST absl-py-1.0.0.tar.gz 223739 BLAKE2B 958b95ac5d26aa9e3c2efc046b20eb6a143e81de3cde6f9e2478ec3abf4c0a2619db50271d4f0a57034b81dc1e6e09d58d18a4254d4551fa8a644d1558eba94f SHA512 41222ccd8e2eb65a266c88a047acae4c53cb00eb4f5678a11ebcf2b73e071bc4355f208b13697a0b9b71c4c96aa7d13eec9c5a90177f01c3cbabd0688a162aeb
diff --git a/dev-python/absl-py/absl-py-1.1.0.ebuild b/dev-python/absl-py/absl-py-1.1.0.ebuild
new file mode 100644
index 000000000000..1a00613d30b0
--- /dev/null
+++ b/dev-python/absl-py/absl-py-1.1.0.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+MY_P=abseil-py-${PV}
+DESCRIPTION="Abseil Python Common Libraries"
+HOMEPAGE="
+ https://github.com/abseil/abseil-py/
+ https://pypi.org/project/absl-py/
+"
+SRC_URI="
+ https://github.com/abseil/abseil-py/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+"
+
+src_prepare() {
+ # what a nightmare... well, we could have called bazel but that would
+ # even worse
+ local helpers=(
+ absl/flags/tests/argparse_flags_test_helper.py:absl/flags/tests/argparse_flags_test_helper
+ absl/logging/tests/logging_functional_test_helper.py:absl/logging/tests/logging_functional_test_helper
+ absl/testing/tests/absltest_fail_fast_test_helper.py:absl/testing/tests/absltest_fail_fast_test_helper
+ absl/testing/tests/absltest_filtering_test_helper.py:absl/testing/tests/absltest_filtering_test_helper
+ absl/testing/tests/absltest_randomization_testcase.py:absl/testing/tests/absltest_randomization_testcase
+ absl/testing/tests/absltest_sharding_test_helper.py:absl/testing/tests/absltest_sharding_test_helper
+ absl/testing/tests/absltest_test_helper.py:absl/testing/tests/absltest_test_helper
+ absl/testing/tests/xml_reporter_helper_test.py:absl/testing/tests/xml_reporter_helper_test
+ absl/tests/app_test_helper.py:absl/tests/app_test_helper_pure_python
+ )
+
+ local x
+ for x in "${helpers[@]}"; do
+ local script=${x%:*}
+ local sym=${x#*:}
+ sed -i -e "1i#!/usr/bin/env python" "${script}" || die
+ chmod +x "${script}" || die
+ ln -s "${script##*/}" "${sym}" || die
+ done
+
+ # i don't wanna know how these pass for upstream with wrong helper names
+ sed -i -e 's:\(app_test_helper\)\.py:\1_pure_python:' \
+ absl/tests/app_test.py || die
+ sed -i -e 's:\(logging_functional_test_helper\)\.py:\1:' \
+ absl/logging/tests/logging_functional_test.py || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x PYTHONPATH=.
+ local fails=0
+ while read -r -d '' x; do
+ ebegin "${x}"
+ "${EPYTHON}" "${x}"
+ eend ${?} || : "$(( fails += 1 ))"
+ done < <(find -name '*_test.py' -print0)
+
+ [[ ${fails} -ne 0 ]] && die "${fails} tests failed on ${EPYTHON}"
+
+ # we actually need to clean this up manually before running the test
+ # suite again...
+ chmod -R u+rwX "${T}"/absl_testing || die
+ rm -rf "${T}"/absl_testing || die
+}
diff --git a/dev-python/adblock/Manifest b/dev-python/adblock/Manifest
index ff75556caad5..2225e9b25ecf 100644
--- a/dev-python/adblock/Manifest
+++ b/dev-python/adblock/Manifest
@@ -1,5 +1,5 @@
DIST adblock-0.4.3.crate 7700164 BLAKE2B 836e8b60366c0bb23702883a8d9aef7eaa54dff6996ebb6a82f39880d93edb23f93e23299085a1756bb22115633f4534cd7ba0379e1dcb1ff6b1880d3e5576f4 SHA512 3fe7e139a6376ab2becfef7db9f54c850442dcbb44a61e2a116a1be6a59ab214659293f513f3c6daf7855d677b761f19ce99cf3be444d8f03c1dae90aa915f98
-DIST adblock-0.5.2.tar.gz 24574 BLAKE2B 84efcd6c6bc60030aee76eaa80acf67640d97ec1b386dc18aaf92c79b8ff60b35f545b4cf8980a1ab55f558939541f31dc8889073f1b3fd68d90ba6221a1f284 SHA512 f69bbde5a510882cd71454153ed12f0697517e030f9fb6774c5b166daf0db9f754a965085fc5e612c7dd3d093a31e22c1a9c064b167429d2aae4e93e3ca7bf7e
+DIST adblock-0.5.2.gh.tar.gz 24574 BLAKE2B 84efcd6c6bc60030aee76eaa80acf67640d97ec1b386dc18aaf92c79b8ff60b35f545b4cf8980a1ab55f558939541f31dc8889073f1b3fd68d90ba6221a1f284 SHA512 f69bbde5a510882cd71454153ed12f0697517e030f9fb6774c5b166daf0db9f754a965085fc5e612c7dd3d093a31e22c1a9c064b167429d2aae4e93e3ca7bf7e
DIST addr-0.14.0.crate 90210 BLAKE2B a0dcb422d853b76187542aaa2880aafade57716130a38172a91fd4d3d0c51d9e7f2b23eec5af84b188b8b661c48f46fab25797489a3bd5c84e0732b326178877 SHA512 18d6cecbbeb2ea11f2b4f40356d8a2de5aad45e57ac5f13dc9cd98cff4250b7612aadfb73935775c657e728ca10bc8313e601354f239a96e63ef90a8d2f6b870
DIST adler-1.0.2.crate 12778 BLAKE2B a1dc17786adae945ac09d3525e609ed944e6465690787bbb831a1b9d53793cba1989793d0a5606d5d23ee20d36457923d451b1b3530c9ec7072a487aa3e55bbd SHA512 7ab190d31890fc05b0b55d8e2c6527a505e06793d5496be0b3831e0513412f9ba97f8148f6f68ed0770fa9cd980a5092d885e058becf1d5506b7c74b82674aa1
DIST aho-corasick-0.7.18.crate 112923 BLAKE2B 4f6947d1aacf89ccfab0592cdc55fa61ef09cea38231d3f758765dbce328a810c0b588be4ba96e81d64955379ee005722d22a7aec39caea6e72342245d7ca34f SHA512 7a23b16231a90d23ee60ad4c81bc225410599a4560d33d3a203138fc540c39cf1000100fed3aed40dcc371c3635656a3792545dca5dd1aefbde00d8774eebd00
diff --git a/dev-python/adblock/adblock-0.5.2-r1.ebuild b/dev-python/adblock/adblock-0.5.2-r1.ebuild
index f24bbddecd27..bdd2ccc9d4e3 100644
--- a/dev-python/adblock/adblock-0.5.2-r1.ebuild
+++ b/dev-python/adblock/adblock-0.5.2-r1.ebuild
@@ -74,7 +74,7 @@ inherit cargo distutils-r1
DESCRIPTION="Python wrapper for Brave's adblocking library, which is written in Rust"
HOMEPAGE="https://github.com/ArniDagur/python-adblock"
SRC_URI="
- https://github.com/ArniDagur/python-adblock/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz
+ https://github.com/ArniDagur/python-adblock/archive/refs/tags/${PV}.tar.gz -> ${P}.gh.tar.gz
$(cargo_crate_uris)"
S="${WORKDIR}/python-${P}"
diff --git a/dev-python/boltons/Manifest b/dev-python/boltons/Manifest
index 21f53da6a6cf..c0316c6065c2 100644
--- a/dev-python/boltons/Manifest
+++ b/dev-python/boltons/Manifest
@@ -1 +1 @@
-DIST boltons-21.0.0.tar.gz 241010 BLAKE2B e8c7cba3aadc40fbf40b784c8060d7b4f9d89457a4416c8fe9c733c3a35cf292609b2cc4e43e20a1308add6b854c3e00cb55274328a14699b3c704b73c189318 SHA512 5f5d642ab8ce0bc26133f4bd5059071bc86ca8e6619ebac796d522a0e4c39b958176ccc9de9a56e0448b24bdcf569e73f51011d5a9fc875bdef12a363f106018
+DIST boltons-21.0.0.gh.tar.gz 241010 BLAKE2B e8c7cba3aadc40fbf40b784c8060d7b4f9d89457a4416c8fe9c733c3a35cf292609b2cc4e43e20a1308add6b854c3e00cb55274328a14699b3c704b73c189318 SHA512 5f5d642ab8ce0bc26133f4bd5059071bc86ca8e6619ebac796d522a0e4c39b958176ccc9de9a56e0448b24bdcf569e73f51011d5a9fc875bdef12a363f106018
diff --git a/dev-python/boltons/boltons-21.0.0-r1.ebuild b/dev-python/boltons/boltons-21.0.0-r1.ebuild
index 9b87063d912c..e5b098d74ceb 100644
--- a/dev-python/boltons/boltons-21.0.0-r1.ebuild
+++ b/dev-python/boltons/boltons-21.0.0-r1.ebuild
@@ -9,11 +9,11 @@ inherit distutils-r1
DESCRIPTION="Pure-python utilities in the same spirit as the standard library"
HOMEPAGE="https://boltons.readthedocs.org/"
-SRC_URI="https://github.com/mahmoud/boltons/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI="https://github.com/mahmoud/boltons/archive/refs/tags/${PV}.tar.gz -> ${P}.gh.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
+KEYWORDS="amd64 ~arm64 ~x86"
distutils_enable_tests pytest
distutils_enable_sphinx docs \
diff --git a/dev-python/boltons/boltons-21.0.0.ebuild b/dev-python/boltons/boltons-21.0.0.ebuild
deleted file mode 100644
index f6c83210e388..000000000000
--- a/dev-python/boltons/boltons-21.0.0.ebuild
+++ /dev/null
@@ -1,30 +0,0 @@
-# Copyright 2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-inherit distutils-r1
-
-DESCRIPTION="Pure-python utilities in the same spirit as the standard library"
-HOMEPAGE="https://boltons.readthedocs.org/"
-SRC_URI="https://github.com/mahmoud/boltons/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="amd64 ~arm64 ~x86"
-
-distutils_enable_tests pytest
-distutils_enable_sphinx docs \
- dev-python/sphinx_rtd_theme
-
-DOCS=( CHANGELOG.md README.md TODO.rst )
-
-PATCHES=(
- "${FILESDIR}"/${P}-python3.10.patch
-)
-
-python_test() {
- # failure in test_exception_info with pytest-qt
- epytest -p no:pytest-qt
-}
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 4ac8822f1e09..278962982500 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -1,3 +1,4 @@
DIST boto3-1.23.10.gh.tar.gz 504080 BLAKE2B 1840715ec72b10131a430abdb303adf7619fb4dc542cb22acefffe378c96d094eb7d024c068df1df48882a22fc52e3883791da39d0e4fb34abdddad4d78c0ce8 SHA512 88d0abfc990eba2118698c27fe9f556a2b2ef27d0e287c2b3d65a1d485d4be264a5e9ccc02c017c404941c34efdb5f9d480ceb7c5752f99ebf95d3fab184dded
DIST boto3-1.23.5.tar.gz 501625 BLAKE2B 5a996b4dffd325ea2d6582450b027767ca9845e8096193ef4a8a63ecd61999c67a83cc3b5bc4e77d1f50035188f97003942f1b64293adb36a9cd6e71781b2279 SHA512 5496de026313e9a767f3ba42fe903093ce69777627835a00d75dac4aa966c803a46682b4d766002af793c7e8c95be141cd0d0bbbf27961bd020ac18ef64f5175
DIST boto3-1.24.0.gh.tar.gz 504647 BLAKE2B 85ff8d83abc9c116de2b54bdfe61239494723bf5214ed6edad380fc15a0a8bde5167125aa2289425395d18c4c459ea7eef1ca9af706b6414302dd23543ff43ab SHA512 6c494557521b0cf2e4d172e4e631c9e10c5d2a1047a592d4fc99566d5bad2c5028b74b8a4bfb090fd289558d2e007d3d038da27d416cdf123e19be96af11f4a3
+DIST boto3-1.24.1.gh.tar.gz 505225 BLAKE2B 4a56053f71b7acccfdeaaa6cd43d94d661c6d2b9e706dfd63d1caac032569797e76ad2564c2dc00e551a0161851eee4f23a91288b64edd593c690fe1b62383a4 SHA512 ba03a9e25920e785eec35b40c166acb45a31ccdb5a235e8a4f18f18365f404b4015ce34f2504f5ebcf52d525e783580361d13831276e23c29516272154e29742
diff --git a/dev-python/boto3/boto3-1.24.1.ebuild b/dev-python/boto3/boto3-1.24.1.ebuild
new file mode 100644
index 000000000000..e4a98e2e28f5
--- /dev/null
+++ b/dev-python/boto3/boto3-1.24.1.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.6.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 19961e18086d..52270a652260 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -1,3 +1,4 @@
DIST botocore-1.26.10.tar.gz 9008316 BLAKE2B a05078ec5732015cbd8ea4da2d2d82e28f4241b7c3164f3410ae396a19f79c116f7a9059a3361e99eacc952f860a516b187375dbf64ee5e4e5648e8c3b0f95a5 SHA512 b12e9002dc8e0912a9681938f343b51d628f0b2798693dc81636fe7ede01d006d5bc8a901f92edf10a88d97c3c6311aaf97206a6f55070e645747536fe39b144
DIST botocore-1.26.5.tar.gz 8994964 BLAKE2B 472bc20b1a579674b97fa42f5b7bba2f06f1bcc40b11d5d5fa31b283a1d8648be82db4ee7e7170097d2e695bad2d1f9e398dfa7e4b85381134f151010f212be2 SHA512 a696c241989f6754596f69577c4e4f5d92df87e9b6488533e930b28b85e02fae8af1ac73d907790a75496a46824b45beb7df220c72be3bfc0bee8153b4846939
DIST botocore-1.27.0.tar.gz 9013575 BLAKE2B e00cf7d071bc510a96e32bbc41bb0b3a151974c0c10ada01fc8222d261e680b938f248ffddd5985c8ff92bb3a4a8021a6e3867870d5411cd9ba8544b12f41dfc SHA512 386128c57a584cd6b8d51ff46817678e18292cef3f22194c64abfa007418b9ef906e85d0c0f731e0e8efc8e6a01aa71ba9230c94f86c6d0c248d385a1f79e5d9
+DIST botocore-1.27.1.tar.gz 9020507 BLAKE2B 5339a41c163f222c93fdd4232a47d98a74470ad7646e35c747517433b63c2c46c7c2d71778993d85bb4a1d5accff7d60546fb8a9cb7d60b532a8ed3dc54c8200 SHA512 685cebea8633ae996a8aa9410bdb76fd814b9bed3168aa8015ee1046f165203cf496d01b058ff5a07cbde2a9ff9aff225a6167f37e3f104feb59d6c495e15759
diff --git a/dev-python/botocore/botocore-1.27.1.ebuild b/dev-python/botocore/botocore-1.27.1.ebuild
new file mode 100644
index 000000000000..97701266bf61
--- /dev/null
+++ b/dev-python/botocore/botocore-1.27.1.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/botocore-1.26.0-py311.patch"
+)
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/botocore/files/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch b/dev-python/botocore/files/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch
deleted file mode 100644
index 49fd3adef376..000000000000
--- a/dev-python/botocore/files/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch
+++ /dev/null
@@ -1,32 +0,0 @@
-From 78077a5e80c9ad5f909037a48100481ddfedc6b2 Mon Sep 17 00:00:00 2001
-From: Andrey Utkin <andrey_utkin@gentoo.org>
-Date: Wed, 13 Dec 2017 01:50:03 +0000
-Subject: [PATCH] tests: pass all env vars to cmd-runner
-
-cmd-runner was started with no environment variables inherited.
-This breaks tests when run with custom PYTHONPATH, which is useful for
-testing botocore while not being installed in standard locations.
-
-One case when this is important is performing tests before installing
-the package in Gentoo Linux.
-
-Link: https://bugs.gentoo.org/640726
----
- tests/__init__.py | 1 +
- 1 file changed, 1 insertion(+)
-
-diff --git a/tests/__init__.py b/tests/__init__.py
-index 74a2e4de..fa0b819b 100644
---- a/tests/__init__.py
-+++ b/tests/__init__.py
-@@ -145,6 +145,7 @@ class BaseClientDriverTest(unittest.TestCase):
- if self.INJECT_DUMMY_CREDS:
- env = {'AWS_ACCESS_KEY_ID': 'foo',
- 'AWS_SECRET_ACCESS_KEY': 'bar'}
-+ env.update(os.environ)
- self.driver.start(env=env)
-
- def cmd(self, *args):
---
-2.15.1
-
diff --git a/dev-python/django/Manifest b/dev-python/django/Manifest
index 30810f7d62d7..f04a82b89536 100644
--- a/dev-python/django/Manifest
+++ b/dev-python/django/Manifest
@@ -4,3 +4,5 @@ DIST Django-3.2.13.checksum.txt 2554 BLAKE2B 301d816685f6d97c4a18b4f9d015b063521
DIST Django-3.2.13.tar.gz 9813985 BLAKE2B eb8319cc225491fc71f719d2eef6daa05114a97b1302093a0cf0f77bb2a51f398e7a034df7aa52c6a64e9796b9cc66b127fccee810cb38508506ba4cd121cfbf SHA512 08f056b18bc04b95d6705cf70c2ecc5be0c1324e0b38582991b907ed5977c4e3d35417ccf4ec06c2436a718e3aae007b015f0d40dd94ce5cfb129a54cceb6578
DIST Django-4.0.4.checksum.txt 2545 BLAKE2B d82f7b01f49f2b37de3cfd9eb8738e4af69c8eda0c3ed2b6d80a5f876989f36a9335640c5cd5916dcc682fcbf5453c299cb8b3f52e05f2d29413a4c75d274cbc SHA512 9889e086f35192432084fd2ae1104c316e63fa2ab0d34f6954d5eb98b810b5f2e10861a4136c480b54178d2a5453a36f3b893c7720a92f35b44cd578902a8bf9
DIST Django-4.0.4.tar.gz 10388499 BLAKE2B f839b343bf5c2f83810f2bb22e93a91b18ccc30754589fef2931ebdf29d4600a3bf5493f9e977a3b647097c3a379ea1ef4e0e25366efb54082bc0f43ed00485f SHA512 75ecf5991763237297b458f546d245a25f62272f7013364783aea19469586fa54ce94a16323ac9a6d6b81097f8e962ea7a20f26c7afd8acda842812409215bb1
+DIST Django-4.0.5.checksum.txt 2549 BLAKE2B e0aae25d6e9b15eddc9f6be566d611d03b3cd2aa97020b99372eebbc5183e2f04f27bfc9c1faa9f4b5ec0e4da453a5812a8c8afd7dbb61c10424c458c81bf453 SHA512 45c628253a530df210c94b7c2e8493faaa5eecd68c1f84c4d61936f0f85d590ddc96d64be0313a6353435bed884fde6f6cf0bd54dc04d361dac093f259c5927b
+DIST Django-4.0.5.tar.gz 10410720 BLAKE2B 43c8000a54829d639a63a7a17067368b3c6fbda483eae374d4e7f561a3bd3490b754de888e597514f706b1843c8dae2f78453f0efc8eb9a335874993eac44e8f SHA512 915dd5f853544dcd9f85e7d11f50d3f8c34eaf4a6819ec76178bec9466feaf2b386f044fdeebec6bd88366917b8feb6e2512d45b8996c8906326205d4f449f90
diff --git a/dev-python/django/django-4.0.5.ebuild b/dev-python/django/django-4.0.5.ebuild
new file mode 100644
index 000000000000..6f0e550b5fd5
--- /dev/null
+++ b/dev-python/django/django-4.0.5.ebuild
@@ -0,0 +1,109 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+PYTHON_REQ_USE='sqlite?,threads(+)'
+
+inherit bash-completion-r1 distutils-r1 optfeature verify-sig
+
+MY_P=${P^}
+DESCRIPTION="High-level Python web framework"
+HOMEPAGE="
+ https://www.djangoproject.com/
+ https://pypi.org/project/Django/
+"
+SRC_URI="
+ https://media.djangoproject.com/releases/$(ver_cut 1-2)/${MY_P}.tar.gz
+ verify-sig? ( https://media.djangoproject.com/pgp/${MY_P}.checksum.txt )
+"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="BSD"
+# admin fonts: Roboto (media-fonts/roboto)
+LICENSE+=" Apache-2.0"
+# admin icons, jquery, xregexp.js
+LICENSE+=" MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~x64-macos"
+IUSE="doc sqlite test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/asgiref-3.4.1[${PYTHON_USEDEP}]
+ >=dev-python/sqlparse-0.2.2[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/backports-zoneinfo[${PYTHON_USEDEP}]
+ ' 3.8)
+"
+BDEPEND="
+ test? (
+ $(python_gen_impl_dep sqlite)
+ ${RDEPEND}
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pillow[webp,${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/selenium[${PYTHON_USEDEP}]
+ dev-python/tblib[${PYTHON_USEDEP}]
+ sys-devel/gettext
+ !!<dev-python/ipython-7.21.0-r1
+ !!=dev-python/ipython-7.22.0-r0
+ )
+ verify-sig? ( >=sec-keys/openpgp-keys-django-20201201 )
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-4.0-bashcomp.patch
+)
+
+distutils_enable_sphinx docs --no-autodoc
+
+VERIFY_SIG_OPENPGP_KEY_PATH=${BROOT}/usr/share/openpgp-keys/django.asc
+
+src_unpack() {
+ if use verify-sig; then
+ cd "${DISTDIR}" || die
+ verify-sig_verify_signed_checksums \
+ "${MY_P}.checksum.txt" sha256 "${MY_P}.tar.gz"
+ cd "${WORKDIR}" || die
+ fi
+
+ default
+}
+
+src_prepare() {
+ # TODO: this suddenly started failing
+ sed -i -e 's:test_custom_fields:_&:' tests/inspectdb/tests.py || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # Tests have non-standard assumptions about PYTHONPATH,
+ # and don't work with ${BUILD_DIR}/lib.
+ PYTHONPATH=. "${EPYTHON}" tests/runtests.py --settings=test_sqlite -v2 ||
+ die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+ newbashcomp extras/django_bash_completion ${PN}-admin
+ bashcomp_alias ${PN}-admin django-admin.py
+
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ optfeature_header "Additional Backend support can be enabled via:"
+ optfeature "MySQL backend support" dev-python/mysqlclient
+ optfeature "PostgreSQL backend support" dev-python/psycopg:2
+ optfeature_header
+ optfeature "GEO Django" "sci-libs/gdal[geos]"
+ optfeature "Memcached support" dev-python/pylibmc dev-python/python-memcached
+ optfeature "ImageField Support" dev-python/pillow
+ optfeature "Password encryption" dev-python/bcrypt
+ optfeature "High-level abstractions for Django forms" dev-python/django-formtools
+}
diff --git a/dev-python/glob2/glob2-0.7-r1.ebuild b/dev-python/glob2/glob2-0.7-r1.ebuild
index 41422e88fd02..aef58332d014 100644
--- a/dev-python/glob2/glob2-0.7-r1.ebuild
+++ b/dev-python/glob2/glob2-0.7-r1.ebuild
@@ -13,7 +13,7 @@ SRC_URI="mirror://pypi/${P::1}/${PN}/${P}.tar.gz"
LICENSE="BSD-2"
SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
+KEYWORDS="amd64 ~arm64 ~x86"
distutils_enable_tests pytest
diff --git a/dev-python/glob2/glob2-0.7.ebuild b/dev-python/glob2/glob2-0.7.ebuild
deleted file mode 100644
index aa2a9745d6b5..000000000000
--- a/dev-python/glob2/glob2-0.7.ebuild
+++ /dev/null
@@ -1,21 +0,0 @@
-# Copyright 2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-inherit distutils-r1
-
-DESCRIPTION="Extended version of Python's builtin glob module"
-HOMEPAGE="https://pypi.org/project/glob2/"
-SRC_URI="mirror://pypi/${P::1}/${PN}/${P}.tar.gz"
-
-LICENSE="BSD-2"
-SLOT="0"
-KEYWORDS="amd64 ~arm64 ~x86"
-
-distutils_enable_tests pytest
-
-python_test() {
- epytest test.py
-}
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 4e9e1e56c7db..1afa52ee5c62 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -1,3 +1,4 @@
+DIST hypothesis-hypothesis-python-6.46.11.gh.tar.gz 9312248 BLAKE2B 78b5ca5bd38bd62d2fe50ab929df075e253c059aed329d6b52051fb01449f8de84ae340ba42a4af94ef592411139a45d34aad232fe4bb2d8412165730bbeca01 SHA512 6fdd54f28d275eb65a4f6e6919437d503eba6254c25e22298c34ac67e6de03cd99a5178b1a475b1da7f7afeed8406e89c20b4818436143f442222d26f0d94796
DIST hypothesis-python-6.46.2.tar.gz 9305176 BLAKE2B 7d0abe4fc055eeb4660efbba9900b43209cc5ef1fd7b2362545e0d4145837cb7779cdf96c96cdd3770c1605ec8104818ece5cd012a90b164ab8ab63709d1c911 SHA512 207b4202aa36a28891c8051009ee6b8b6a8f0823840db7e4fc6840ebe6455060340f16f7e2e25bc5ad2adca1ff7fd8b58668ec2ca355b4579ec03aac616e786d
DIST hypothesis-python-6.46.3.tar.gz 9306685 BLAKE2B a26c08361a7a58d8de8d8458a73c5c3c57f04dd2008ab31e604f0addc18fb7a52a7f4a98318498b398cd1ac5d2d718fd722c4d17e0b6ef326e0457355fda7482 SHA512 d55c3c4a57d18aa7f6d876123b09bcab32d508f5aa40048f2db7f0cab3948ebb6fab5f12d291ae4740cdd1c61c2d612c1ce804028bb59914efc132404224d1ee
DIST hypothesis-python-6.46.7.tar.gz 9308855 BLAKE2B a26cd556bb56ff5a09987e7e4a9a46e966f26106376a4b5e481a933495f21c4a69dff0d68aa8d2006fc42794392eca35b4b68cb88e0d4695ecfe3bfe2098e9b6 SHA512 239343424df13db419bfc9057f9024ab8360cace07a0cf7d592744afa76fff54d5c30a0b7fecb41c642d034b2327feef7bec78840df25793727ce30be1aa7ef9
diff --git a/dev-python/hypothesis/hypothesis-6.46.11.ebuild b/dev-python/hypothesis/hypothesis-6.46.11.ebuild
new file mode 100644
index 000000000000..0dd5c5134055
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.46.11.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+CLI_COMPAT=( python3_{8..10} )
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 multiprocessing optfeature
+
+TAG=hypothesis-python-${PV}
+MY_P=hypothesis-${TAG}
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+ https://github.com/HypothesisWorks/hypothesis/
+ https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+ https://github.com/HypothesisWorks/hypothesis/archive/${TAG}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/hypothesis-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' "${CLI_COMPAT[@]}")
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ # subtests are broken by warnings from random plugins
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=xdist.plugin,pytest_forked,_hypothesis_pytestplugin
+
+ epytest tests/cover tests/pytest tests/quality -n "$(makeopts_jobs)"
+}
+
+python_install() {
+ distutils-r1_python_install
+ if ! use cli || ! has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+ rm -r "${ED}/usr/bin" "${D}$(python_get_scriptdir)" || die
+ fi
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/importlib_metadata/importlib_metadata-4.11.3.ebuild b/dev-python/importlib_metadata/importlib_metadata-4.11.3.ebuild
index c7c67f987d0b..541d4a848602 100644
--- a/dev-python/importlib_metadata/importlib_metadata-4.11.3.ebuild
+++ b/dev-python/importlib_metadata/importlib_metadata-4.11.3.ebuild
@@ -32,7 +32,6 @@ BDEPEND="
)
"
-distutils_enable_sphinx docs dev-python/jaraco-packaging dev-python/rst-linker
distutils_enable_tests unittest
src_configure() {
diff --git a/dev-python/importlib_metadata/importlib_metadata-4.11.4.ebuild b/dev-python/importlib_metadata/importlib_metadata-4.11.4.ebuild
index c93fcf908629..9f2607c4bb0d 100644
--- a/dev-python/importlib_metadata/importlib_metadata-4.11.4.ebuild
+++ b/dev-python/importlib_metadata/importlib_metadata-4.11.4.ebuild
@@ -32,9 +32,6 @@ BDEPEND="
)
"
-distutils_enable_sphinx docs \
- dev-python/jaraco-packaging \
- dev-python/rst-linker
distutils_enable_tests unittest
src_configure() {
diff --git a/dev-python/importlib_resources/importlib_resources-5.7.1.ebuild b/dev-python/importlib_resources/importlib_resources-5.7.1.ebuild
index 00b87911b5e8..c2ea0f446c6c 100644
--- a/dev-python/importlib_resources/importlib_resources-5.7.1.ebuild
+++ b/dev-python/importlib_resources/importlib_resources-5.7.1.ebuild
@@ -24,7 +24,6 @@ RDEPEND="
' 3.8 3.9)"
distutils_enable_tests unittest
-distutils_enable_sphinx docs dev-python/rst-linker dev-python/jaraco-packaging
src_configure() {
grep -q 'build-backend = "setuptools' pyproject.toml ||
diff --git a/dev-python/irc/irc-20.0.0-r1.ebuild b/dev-python/irc/irc-20.0.0-r1.ebuild
index cef1ec2f9619..7d3fc46f39bb 100644
--- a/dev-python/irc/irc-20.0.0-r1.ebuild
+++ b/dev-python/irc/irc-20.0.0-r1.ebuild
@@ -35,8 +35,6 @@ BDEPEND="
>=dev-python/setuptools_scm-3.4.1[${PYTHON_USEDEP}]
"
-distutils_enable_sphinx docs '>=dev-python/jaraco-packaging-3.2' \
- '>=dev-python/rst-linker-1.9'
distutils_enable_tests pytest
python_install_all() {
diff --git a/dev-python/jaraco-itertools/jaraco-itertools-6.2.1.ebuild b/dev-python/jaraco-itertools/jaraco-itertools-6.2.1.ebuild
index 8b9294a0d21e..8844ca953864 100644
--- a/dev-python/jaraco-itertools/jaraco-itertools-6.2.1.ebuild
+++ b/dev-python/jaraco-itertools/jaraco-itertools-6.2.1.ebuild
@@ -26,8 +26,6 @@ BDEPEND="
>=dev-python/setuptools_scm-1.15.0[${PYTHON_USEDEP}]
"
-distutils_enable_sphinx docs '>=dev-python/jaraco-packaging-3.2' \
- '>=dev-python/rst-linker-1.9'
distutils_enable_tests pytest
export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
diff --git a/dev-python/jaraco-path/jaraco-path-3.4.0.ebuild b/dev-python/jaraco-path/jaraco-path-3.4.0.ebuild
index 4b2b06843a76..3c4ae3244623 100644
--- a/dev-python/jaraco-path/jaraco-path-3.4.0.ebuild
+++ b/dev-python/jaraco-path/jaraco-path-3.4.0.ebuild
@@ -25,9 +25,6 @@ BDEPEND="
dev-python/setuptools_scm[${PYTHON_USEDEP}]
"
-distutils_enable_sphinx docs \
- ">=dev-python/jaraco-packaging-8.2" \
- ">=dev-python/rst-linker-1.9"
distutils_enable_tests pytest
python_test() {
diff --git a/dev-python/jsonschema/Manifest b/dev-python/jsonschema/Manifest
index 2b035efe4cd7..49505471245e 100644
--- a/dev-python/jsonschema/Manifest
+++ b/dev-python/jsonschema/Manifest
@@ -1,2 +1,3 @@
DIST jsonschema-4.4.0.tar.gz 313519 BLAKE2B 6339c4ac9e99b55e41c133861baacb6644e04d15e915d3199955512530c946973ca6d5348746688660ea7392d53102754dba3f3380fc8aa3a4ab284a9dcde684 SHA512 8e5c138f4debf7540e2cd131f3f208d1778927ac9036f5fa67bcf5db8c62fe1bb454c7818ee61acef64e856ea4b498ef6ab08be314a3c6b1e461e0bb44db41c7
DIST jsonschema-4.5.1.tar.gz 282414 BLAKE2B 5b1d4e591e48c760e89a438b3bf9ea6b27b0959030be4558d5a863ceea218bdc4db19d09e2783724026fc2e10eeb6c969a939f4d1a5b44c16dbf7ff39c61a743 SHA512 3866a649ece45c1c69d3d5e9810cfdb094f1af82fcc08a186f9babd7516ad311c4bffa52f61f013bc84e7ab1be06605c5fab738c1c920ff8ce85a73429d9efde
+DIST jsonschema-4.6.0.tar.gz 269939 BLAKE2B f214f65fbb908029f221789ab3857db9cbc1a7bb355f04a46bc7798514ba73ac3ba6f78cc3eaf985c19b16607ea6cf38bf46c9a8e19b1b1aef0138ef74239a4c SHA512 82d9e0c7de867c4a53b67b9dc79a38a76e384f5d41c66b52c57d407e03eb97faf8ebf41370ef08b30966f13eca210f94916b6a40347a2a75088e33017ccc2f5f
diff --git a/dev-python/jsonschema/jsonschema-4.6.0.ebuild b/dev-python/jsonschema/jsonschema-4.6.0.ebuild
new file mode 100644
index 000000000000..2cdb3b0783a9
--- /dev/null
+++ b/dev-python/jsonschema/jsonschema-4.6.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="An implementation of JSON-Schema validation for Python"
+HOMEPAGE="
+ https://pypi.org/project/jsonschema/
+ https://github.com/python-jsonschema/jsonschema/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/attrs-17.4.0[${PYTHON_USEDEP}]
+ >=dev-python/pyrsistent-0.18.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/importlib_resources-1.4.0[${PYTHON_USEDEP}]
+ ' 3.8)
+"
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+"
+
+# formatter deps
+RDEPEND+="
+ dev-python/fqdn[${PYTHON_USEDEP}]
+ dev-python/idna[${PYTHON_USEDEP}]
+ dev-python/isoduration[${PYTHON_USEDEP}]
+ >=dev-python/jsonpointer-1.13[${PYTHON_USEDEP}]
+ dev-python/rfc3339-validator[${PYTHON_USEDEP}]
+ dev-python/rfc3986-validator[${PYTHON_USEDEP}]
+ dev-python/rfc3987[${PYTHON_USEDEP}]
+ dev-python/uri_template[${PYTHON_USEDEP}]
+ >=dev-python/webcolors-1.11[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # requires pip, does not make much sense for the users
+ jsonschema/tests/test_cli.py::TestCLIIntegration::test_license
+ # wtf?
+ jsonschema/tests/test_deprecations.py::TestDeprecations::test_version
+)
diff --git a/dev-python/keyring/keyring-23.5.1.ebuild b/dev-python/keyring/keyring-23.5.1.ebuild
index 089321da0f4c..27db16da18f9 100644
--- a/dev-python/keyring/keyring-23.5.1.ebuild
+++ b/dev-python/keyring/keyring-23.5.1.ebuild
@@ -32,9 +32,6 @@ BDEPEND="
"
distutils_enable_tests pytest
-distutils_enable_sphinx docs \
- dev-python/jaraco-packaging \
- dev-python/rst-linker
export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
diff --git a/dev-python/nptyping/Manifest b/dev-python/nptyping/Manifest
index 709091022920..2734f7c405d3 100644
--- a/dev-python/nptyping/Manifest
+++ b/dev-python/nptyping/Manifest
@@ -1 +1,2 @@
DIST nptyping-2.0.1.gh.tar.gz 54790 BLAKE2B 75aadc4310dc3e5262aa8f007bc65584ee110fd0f2c1d0737c35a0c57bb0f0a5191f0260dbc0a6c80cab0f546d1e3ade219d6b6318cc2d195ba0579318c20841 SHA512 d832cc0d701a36a94c97bc6db2445c7ff72ec7c41fbcb48ea2006fa201bfca169012be9501029f77f4da7a2fd126227292bd16ba5d0bd7cb6924e3eb74cfaa01
+DIST nptyping-2.1.1.gh.tar.gz 63606 BLAKE2B 846d85230f7391a1119cab522e17424cae20276981a06897921a82bb739296ad449197526f36da542fcb263ff6595913d9c333fd0b83b10fc835cea338f7f094 SHA512 4e9993a01650b8bbd8616b2721e92d1e7a2fa87e8cdc55239a30b09f6e323bbcebb532b6cacb4891b50c4aa6cabe8f00dc25d4b052bddb1827fc1e3d021299ae
diff --git a/dev-python/nptyping/nptyping-2.1.1.ebuild b/dev-python/nptyping/nptyping-2.1.1.ebuild
new file mode 100644
index 000000000000..dce5344c969a
--- /dev/null
+++ b/dev-python/nptyping/nptyping-2.1.1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Type hints for Numpy"
+HOMEPAGE="
+ https://pypi.org/project/nptyping/
+ https://github.com/ramonhagenaars/nptyping/
+"
+SRC_URI="
+ https://github.com/ramonhagenaars/nptyping/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/numpy[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ ' 3.8 3.9)
+"
+BDEPEND="
+ test? (
+ dev-python/mypy[${PYTHON_USEDEP}]
+ dev-python/typeguard[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_IGNORE=(
+ # TODO: package beartype?
+ tests/test_beartype.py
+ # relies on Internet access to fetch packages for pip
+ tests/test_wheel.py
+)
+
+distutils_enable_tests pytest
diff --git a/dev-python/parse/parse-1.19.0-r1.ebuild b/dev-python/parse/parse-1.19.0-r1.ebuild
index c22f65948b69..243e78ad53d4 100644
--- a/dev-python/parse/parse-1.19.0-r1.ebuild
+++ b/dev-python/parse/parse-1.19.0-r1.ebuild
@@ -13,6 +13,6 @@ SRC_URI="mirror://pypi/${P::1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
+KEYWORDS="amd64 ~arm64 ~x86"
distutils_enable_tests unittest
diff --git a/dev-python/parse/parse-1.19.0.ebuild b/dev-python/parse/parse-1.19.0.ebuild
deleted file mode 100644
index e703ed4348da..000000000000
--- a/dev-python/parse/parse-1.19.0.ebuild
+++ /dev/null
@@ -1,17 +0,0 @@
-# Copyright 2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-inherit distutils-r1
-
-DESCRIPTION="Parse strings using a specification based on the Python format() syntax"
-HOMEPAGE="https://pypi.org/project/parse/"
-SRC_URI="mirror://pypi/${P::1}/${PN}/${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="amd64 ~arm64 ~x86"
-
-distutils_enable_tests unittest
diff --git a/dev-python/parse_type/Manifest b/dev-python/parse_type/Manifest
index e1345e570fae..d17dd1d70d82 100644
--- a/dev-python/parse_type/Manifest
+++ b/dev-python/parse_type/Manifest
@@ -1 +1 @@
-DIST parse_type-0.6.0.tar.gz 270864 BLAKE2B 776e58bb7027bf33bd47f266296f29b0e04d94911a91b2962d644671517659839e8a0600b4424076f5f6775a4c9db27774195d8dce908eac61fcf59377dcdbc4 SHA512 ace12b013306d5d330ffecca2f929667169da24b6593f86c13820ff34628fb00ef045c37f5c8b6ddc1094d5a8ed6fb929918871b1d0493ef6719d2bb3d2293de
+DIST parse_type-0.6.0.gh.tar.gz 272744 BLAKE2B fdba57380bfbefa43793338ddd1dfc618d15036c8e78adfbccd993156c77d59f30c2351b1dba826bdc41de12ab3e403102124fe85a462f3fbb6fb915885fb026 SHA512 cbe2c8d2bac567cb89b600ef4b0fb5e65c5afdb8e83c3da01cf0b80ce40630c6fb0e1156e352f8b64d5b6d69555126edfbd3f48c6482f7fe8cfb79fcff8ac5b7
diff --git a/dev-python/parse_type/parse_type-0.6.0.ebuild b/dev-python/parse_type/parse_type-0.6.0.ebuild
index f9b479b7050c..5579cd7a797e 100644
--- a/dev-python/parse_type/parse_type-0.6.0.ebuild
+++ b/dev-python/parse_type/parse_type-0.6.0.ebuild
@@ -9,7 +9,7 @@ inherit distutils-r1
DESCRIPTION="Extension to the parse module"
HOMEPAGE="https://pypi.org/project/parse-type/"
-SRC_URI="https://github.com/jenisys/parse_type/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI="https://github.com/jenisys/parse_type/archive/refs/tags/v${PV}.tar.gz -> ${P}.gh.tar.gz"
LICENSE="BSD"
SLOT="0"
diff --git a/dev-python/pygobject/files/pygobject-3.42.0-dynamicimporter-py310.patch b/dev-python/pygobject/files/pygobject-3.42.0-dynamicimporter-py310.patch
deleted file mode 100644
index cf292ffbf7c6..000000000000
--- a/dev-python/pygobject/files/pygobject-3.42.0-dynamicimporter-py310.patch
+++ /dev/null
@@ -1,61 +0,0 @@
-From dea457c0754550e210ab3cca9da8be1ae52d1d31 Mon Sep 17 00:00:00 2001
-From: =?UTF-8?q?Miro=20Hron=C4=8Dok?= <miro@hroncok.cz>
-Date: Tue, 18 May 2021 12:31:51 +0200
-Subject: [PATCH] Implement DynamicImporter.find_spec()
-
-On Python 3.10, the code raised an ImportWarning:
-
- ImportWarning: DynamicImporter.find_spec() not found; falling back to find_module()
-
-See https://docs.python.org/3.10/whatsnew/3.10.html#deprecated
-
-> Starting in this release, there will be a concerted effort to begin cleaning
-> up old import semantics that were kept for Python 2.7 compatibility.
-> Specifically, find_loader()/find_module() (superseded by find_spec()),
-> load_module() (superseded by exec_module()), module_repr()
-> (which the import system takes care of for you),
-> the __package__ attribute (superseded by __spec__.parent),
-> the __loader__ attribute (superseded by __spec__.loader),
-> and the __cached__ attribute (superseded by __spec__.cached)
-> will slowly be removed (as well as other classes and methods in importlib).
-> ImportWarning and/or DeprecationWarning will be raised as appropriate to help
-> identify code which needs updating during this transition.
-
-Fixes https://gitlab.gnome.org/GNOME/pygobject/-/issues/473
----
- gi/importer.py | 15 ++++++++++-----
- 1 file changed, 10 insertions(+), 5 deletions(-)
-
-diff --git a/gi/importer.py b/gi/importer.py
-index 32967974..63788776 100644
---- a/gi/importer.py
-+++ b/gi/importer.py
-@@ -107,15 +107,20 @@ class DynamicImporter(object):
- def __init__(self, path):
- self.path = path
-
-- def find_module(self, fullname, path=None):
-+ def _find_module_check(self, fullname):
- if not fullname.startswith(self.path):
-- return
-+ return False
-
- path, namespace = fullname.rsplit('.', 1)
-- if path != self.path:
-- return
-+ return path == self.path
-+
-+ def find_spec(self, fullname, path=None, target=None):
-+ if self._find_module_check(fullname):
-+ return importlib.util.spec_from_loader(fullname, self)
-
-- return self
-+ def find_module(self, fullname, path=None):
-+ if self._find_module_check(fullname):
-+ return self
-
- def load_module(self, fullname):
- if fullname in sys.modules:
---
-2.32.0
-
diff --git a/dev-python/pytest-bdd/Manifest b/dev-python/pytest-bdd/Manifest
index f827208e6cdb..1383b79992bf 100644
--- a/dev-python/pytest-bdd/Manifest
+++ b/dev-python/pytest-bdd/Manifest
@@ -1 +1 @@
-DIST pytest-bdd-5.0.0.tar.gz 61174 BLAKE2B 6dd1d53614226d3515b0f61f71822363b559aa45789bab7f3416c75e603e87a1fe48627f36862f44bfa7ac6ec5023ad8afde6054ec67fc9a2e756be7de729fd1 SHA512 827e57d410b05207b6c646062ddb54b677e22441311820d3bd406df202b6e9344dedf59cd4868e89cfbf8606fe3f15559e4cc3958d100e4fa74f9b864e6faada
+DIST pytest-bdd-5.0.0.gh.tar.gz 61174 BLAKE2B 6dd1d53614226d3515b0f61f71822363b559aa45789bab7f3416c75e603e87a1fe48627f36862f44bfa7ac6ec5023ad8afde6054ec67fc9a2e756be7de729fd1 SHA512 827e57d410b05207b6c646062ddb54b677e22441311820d3bd406df202b6e9344dedf59cd4868e89cfbf8606fe3f15559e4cc3958d100e4fa74f9b864e6faada
diff --git a/dev-python/pytest-bdd/pytest-bdd-5.0.0-r1.ebuild b/dev-python/pytest-bdd/pytest-bdd-5.0.0-r1.ebuild
index cf43716f02a8..6e003bb3d6b7 100644
--- a/dev-python/pytest-bdd/pytest-bdd-5.0.0-r1.ebuild
+++ b/dev-python/pytest-bdd/pytest-bdd-5.0.0-r1.ebuild
@@ -9,11 +9,11 @@ inherit distutils-r1
DESCRIPTION="BDD library for the pytest runner"
HOMEPAGE="https://pypi.org/project/pytest-bdd/"
-SRC_URI="https://github.com/pytest-dev/pytest-bdd/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI="https://github.com/pytest-dev/pytest-bdd/archive/refs/tags/${PV}.tar.gz -> ${P}.gh.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
+KEYWORDS="amd64 ~arm64 ~x86"
RDEPEND="
dev-python/glob2[${PYTHON_USEDEP}]
diff --git a/dev-python/pytest-bdd/pytest-bdd-5.0.0.ebuild b/dev-python/pytest-bdd/pytest-bdd-5.0.0.ebuild
deleted file mode 100644
index 617121eaf206..000000000000
--- a/dev-python/pytest-bdd/pytest-bdd-5.0.0.ebuild
+++ /dev/null
@@ -1,38 +0,0 @@
-# Copyright 2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10} )
-inherit distutils-r1
-
-DESCRIPTION="BDD library for the pytest runner"
-HOMEPAGE="https://pypi.org/project/pytest-bdd/"
-SRC_URI="https://github.com/pytest-dev/pytest-bdd/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="amd64 ~arm64 ~x86"
-
-RDEPEND="
- dev-python/glob2[${PYTHON_USEDEP}]
- dev-python/mako[${PYTHON_USEDEP}]
- dev-python/parse[${PYTHON_USEDEP}]
- dev-python/parse_type[${PYTHON_USEDEP}]
- dev-python/py[${PYTHON_USEDEP}]"
-BDEPEND="dev-python/packaging[${PYTHON_USEDEP}]"
-
-distutils_enable_tests --install pytest
-
-DOCS=( AUTHORS.rst CHANGES.rst README.rst )
-
-src_test() {
- # terminal_reporter test needs exact wrapping
- local -x COLUMNS=80
-
- # hooks output parsing may be affected by other pytest-*, e.g. tornasync
- local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
- local -x PYTEST_PLUGINS=pytest_bdd.plugin
-
- distutils-r1_src_test
-}
diff --git a/dev-python/readthedocs-sphinx-ext/Manifest b/dev-python/readthedocs-sphinx-ext/Manifest
index ff88b6c758e9..e55b2094ba67 100644
--- a/dev-python/readthedocs-sphinx-ext/Manifest
+++ b/dev-python/readthedocs-sphinx-ext/Manifest
@@ -1,3 +1,4 @@
DIST readthedocs-sphinx-ext-2.1.5.tar.gz 12351 BLAKE2B 5cb3e821b04dabb492cac194ec3be4cdf5874811d8e57556c653611d4a1e2d57a38c00492662d1530f25f15a011834a7966af4c58b9f8f8fe71559753cf3d79d SHA512 0d2960ca55bf9be4faad0a8aa9cdcde74aaa69529b98be6059377ae037ce447d5919617fd8d4afb85ece6dc7f2693426e1a5574049025859e300211f7a5802fb
DIST readthedocs-sphinx-ext-2.1.6.tar.gz 12343 BLAKE2B bbc1b80e18c1023ef498b7508b1acc400279042ec224bb5d51e60eef586ca2a95a740cddf4bf4a2f165c7012a521cff01196286ca21a51c5a0ffde03e2bdb70f SHA512 f9a4cffbd8939162c2a439e08f5f52a2313f00f42b3efecd4fa1431aa85aac205afcd04b5ecda089a4a239ef77e4f885a7cba9884219229b7c576f173bc52b14
DIST readthedocs-sphinx-ext-2.1.7.tar.gz 12351 BLAKE2B 4646016330591dd32d7065d3805f6158aa57aaee44848e91ac7550149a151ed32ff0d6945165c0112e39cd211126b773713ef8d8f669156c36e9f70a24afbd1b SHA512 bbf4a0e266248374198eedeb84b9866cb69e7a8531bbdbb6ad765f2d7013aa1b0b51cc57205b59be04592959b026c71e887035e663b7eb2c0ed6769272542162
+DIST readthedocs-sphinx-ext-2.1.8.tar.gz 12359 BLAKE2B 9a1c66725d4d48b6511462c5eea5d87fb28962444f8ff921208579bb2118571da34d2697d2bc91dc1ff71a2e3b7cb1c5b20021bc2f053fffd34f4eb0ae99d387 SHA512 2766c0ce69d7d3738cd454c8d3e733542849e6cd96414e1714f337defb62f9260c89a00c9bcc26582e15ce1629d61c48441826c2af84d92da0a6a5b65f474891
diff --git a/dev-python/readthedocs-sphinx-ext/readthedocs-sphinx-ext-2.1.8.ebuild b/dev-python/readthedocs-sphinx-ext/readthedocs-sphinx-ext-2.1.8.ebuild
new file mode 100644
index 000000000000..a462f86fafb5
--- /dev/null
+++ b/dev-python/readthedocs-sphinx-ext/readthedocs-sphinx-ext-2.1.8.ebuild
@@ -0,0 +1,30 @@
+# Copyright 2020-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Code specific for Read the Docs and Sphinx"
+HOMEPAGE="
+ https://github.com/readthedocs/readthedocs-sphinx-ext/
+ https://pypi.org/project/readthedocs-sphinx-ext/
+"
+SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/jinja-2.9[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/sphinx[${PYTHON_USEDEP}]
+"
+
+# unittest should be sufficient but tests are very verbose, so pytest's
+# output capture is most welcome
+distutils_enable_tests pytest
diff --git a/dev-python/redis-py/Manifest b/dev-python/redis-py/Manifest
index d3bf1fbb3f1e..e4e17c046479 100644
--- a/dev-python/redis-py/Manifest
+++ b/dev-python/redis-py/Manifest
@@ -2,3 +2,4 @@ DIST redis-py-4.1.4.tar.gz 2352106 BLAKE2B a7f40d381e3e1d295d2ce88f0adb897704d00
DIST redis-py-4.2.2.tar.gz 2421362 BLAKE2B ab59a649e8bc08d706536f994f0462505cea39828072884739b1a6434b45fd120e3b8acb51e8e88ec9fe0ce9acc0bfd6a5ff92bb67080724c7b121ef539af16f SHA512 80673d48cd97af1c5ebc67e919f16891ccb20cd30bc06619ddffeb117ad87f82b73f9b9bda6d36829bc51a35aa3c9b2af7c879ec665cc9664bdd86ac6510095b
DIST redis-py-4.3.0.gh.tar.gz 4605505 BLAKE2B a7cdf8941f99291f6c6f53e6b11b1cd45fd64d0d96e11848d648964518a970275152c00c3aec3a0342ffc5a4805624344076154d007684ce90137f37df4d90f7 SHA512 881f250f04cd0376d2e617ff07cba3c4f987574d64b0813890310412293c7825bb11a5117b65b27dad05bbdff250f44a736d542ee116034b7a644c6e58f981fd
DIST redis-py-4.3.1.gh.tar.gz 4605537 BLAKE2B 239dd9be0e6c30dbaeeb609f222802f33e4a4e4a743fe1f348f542fe899b89e47ad9513bf99db713d3cbcb13df0e6593d4631745c3afc3368f8a9e8333b759a8 SHA512 8d38876fbf3593825bf593188a9749bec0f652907f510657e32043ed26fd6d59b1554870f59af65939754500645e4c4c8f15bcb8eab1385a0640c374aa938643
+DIST redis-py-4.3.2.gh.tar.gz 4610682 BLAKE2B 1fe8a0aadfbc094fb0904cf2ed71a8d14245cf9f09638073f2fdc5713560cf66d5e00eaef7ab2ad9d68f00b838c5b762c95ca4589075db72b16cfaf5aa31477a SHA512 0d6458c4ecc676a1af6ec96648eecc30e872cbf5546701ee6b8b06feb0f30cab2bfd5de8700ea3e9628ec7cdc8e851460fa248963a745ac73cc0611c6a8787e5
diff --git a/dev-python/redis-py/redis-py-4.3.2.ebuild b/dev-python/redis-py/redis-py-4.3.2.ebuild
new file mode 100644
index 000000000000..0a8f178b9ea3
--- /dev/null
+++ b/dev-python/redis-py/redis-py-4.3.2.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python client for Redis key-value store"
+HOMEPAGE="
+ https://github.com/redis/redis-py/
+ https://pypi.org/project/redis/
+"
+SRC_URI="
+ https://github.com/redis/redis-py/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/async_timeout-4.0.2[${PYTHON_USEDEP}]
+ >=dev-python/deprecated-1.2.3[${PYTHON_USEDEP}]
+ >=dev-python/packaging-20.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ <dev-db/redis-7
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # Flaky test
+ tests/test_pubsub.py::TestPubSubDeadlock::test_pubsub_deadlock
+ )
+
+ # TODO: try to run more servers?
+ epytest -m "not redismod and not onlycluster and not replica and not ssl"
+}
+
+src_test() {
+ local redis_pid="${T}"/redis.pid
+ local redis_port=6379
+
+ # Spawn Redis itself for testing purposes
+ # NOTE: On sam@'s machine, spawning Redis can hang in the sandbox.
+ # I'm not restricting tests yet because this doesn't happen for anyone else AFAICT.
+ einfo "Spawning Redis"
+ einfo "NOTE: Port ${redis_port} must be free"
+ # "${EPREFIX}"/usr/sbin/redis-server - <<< "${redis_test_config}" || die
+ "${EPREFIX}"/usr/sbin/redis-server - <<- EOF || die "Unable to start redis server"
+ daemonize yes
+ pidfile ${redis_pid}
+ port ${redis_port}
+ bind 127.0.0.1
+ EOF
+
+ # Run the tests
+ distutils-r1_src_test
+
+ # Clean up afterwards
+ kill "$(<"${redis_pid}")" || die
+}
diff --git a/dev-python/tempora/tempora-5.0.1.ebuild b/dev-python/tempora/tempora-5.0.1.ebuild
index 764a461f39a0..3fcef6dc9b54 100644
--- a/dev-python/tempora/tempora-5.0.1.ebuild
+++ b/dev-python/tempora/tempora-5.0.1.ebuild
@@ -30,6 +30,3 @@ BDEPEND="
"
distutils_enable_tests pytest
-distutils_enable_sphinx docs \
- ">=dev-python/jaraco-packaging-3.2" \
- ">=dev-python/rst-linker-1.9"
diff --git a/dev-python/tubes/Manifest b/dev-python/tubes/Manifest
index d514d1e34ac8..0aaa78e0153a 100644
--- a/dev-python/tubes/Manifest
+++ b/dev-python/tubes/Manifest
@@ -1 +1,2 @@
DIST tubes-0.2.0.tar.gz 64284 BLAKE2B fb8e196a2e68998e5e63c7c5e001d4b8baffb049bb4bedc8f8eb44117ab6a699e54a0dc96071cea8eec7db7a49316a01f6c259d2e456443a1014d9d4fc25d007 SHA512 6039a3059b61f8a0c84d4e10bb47d9f2bb95505b0353cb0f1eefb6942f0ad0d88c9b02ff0d48ed0300d615d3e3203c5e884990cd6d006c2f1dbd18b88fcb2e9e
+DIST tubes-0.2.1.gh.tar.gz 66899 BLAKE2B 21127cf21336b6bbd2acf794bb503a987f7fae63defc7de04d554c7f55f617a23daae105ef756fdf5e8e1b208907388745c6485179f9010339de717853ea8b08 SHA512 6f4666f1591c96d0d7f0514f511ad700f6c3976fcf561f0d967f26aead089e682540b74f85b26a68ff6877d5d7775654c9f6959d8a41c25804375ca837ac1815
diff --git a/dev-python/tubes/tubes-0.2.1.ebuild b/dev-python/tubes/tubes-0.2.1.ebuild
new file mode 100644
index 000000000000..f4d97c718983
--- /dev/null
+++ b/dev-python/tubes/tubes-0.2.1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Flow control and backpressure for event-driven applications"
+HOMEPAGE="
+ https://github.com/twisted/tubes/
+ https://pypi.org/project/Tubes/
+"
+SRC_URI="
+ https://github.com/twisted/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv"
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/twisted[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/twine/Manifest b/dev-python/twine/Manifest
index 42e5f0db5926..af094fb015a9 100644
--- a/dev-python/twine/Manifest
+++ b/dev-python/twine/Manifest
@@ -1 +1,2 @@
DIST twine-4.0.0.tar.gz 214420 BLAKE2B 0a1dc91ed9308252d5db3825c8b642e015720bfe7a95dd9a92ba347cbf1eedede85b18b9c310fe20322928db8e44f988bffb3845748ce9817ecbd5b521fb25c8 SHA512 c97a4315bd2a923979aa3a6cebf826ef022a9e510383f7f1debf941b6eedc47642c999702bdc3377a9740f381ed4dc442a542f02a44e521040cb67fb342e9b7e
+DIST twine-4.0.1.gh.tar.gz 214569 BLAKE2B 82c1793718cfd7d81d9745d16dfe21f59fdfd8b157840ff29629f8b7b86c1e36281f1ed9ba613ec0048c8eef8a2c80d2b9b160893ed953b06c9bfb027f5299e0 SHA512 0b5d24c56731239400b6713e0e52d1cfdb399a84e886b02ea4b59e7af69cc1578e03bf442cca4b2ea5f400995955d27c8d9d3cc17a6ea59013bdaaf6ac63a567
diff --git a/dev-python/twine/twine-4.0.1.ebuild b/dev-python/twine/twine-4.0.1.ebuild
new file mode 100644
index 000000000000..729f27d00e64
--- /dev/null
+++ b/dev-python/twine/twine-4.0.1.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Collection of utilities for publishing packages on PyPI"
+HOMEPAGE="
+ https://twine.readthedocs.io/
+ https://github.com/pypa/twine/
+ https://pypi.org/project/twine/
+"
+SRC_URI="
+ https://github.com/pypa/twine/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/colorama-0.4.3[${PYTHON_USEDEP}]
+ >=dev-python/importlib_metadata-3.6[${PYTHON_USEDEP}]
+ >=dev-python/keyring-15.1[${PYTHON_USEDEP}]
+ >=dev-python/pkginfo-1.8.1[${PYTHON_USEDEP}]
+ >=dev-python/readme_renderer-35.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.20.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-toolbelt-0.8.0[${PYTHON_USEDEP}]
+ >=dev-python/rfc3986-1.4.0[${PYTHON_USEDEP}]
+ >=dev-python/rich-12.0.0[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.26.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/build[${PYTHON_USEDEP}]
+ dev-python/jaraco-envs[${PYTHON_USEDEP}]
+ dev-python/jaraco-functools[${PYTHON_USEDEP}]
+ dev-python/munch[${PYTHON_USEDEP}]
+ dev-python/portend[${PYTHON_USEDEP}]
+ dev-python/pretend[${PYTHON_USEDEP}]
+ dev-python/pypiserver[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # pytest-socket dep relevant only to test_integration, and upstream
+ # disables it anyway
+ sed -i -e '/--disable-socket/d' pytest.ini || die
+ sed -i -e '/--cov/d' pytest.ini || die
+
+ distutils-r1_python_prepare_all
+ export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+}
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # Internet
+ tests/test_integration.py
+ )
+ local EPYTEST_DESELECT=(
+ # regression due to deps?
+ tests/test_check.py::test_fails_rst_no_content
+ )
+ [[ ${EPYTHON} == python3.11 ]] && EPYTEST_DESELECT+=(
+ # confused by extra log entries that don't seem relevant
+ tests/test_auth.py::test_warns_for_empty_password
+ )
+
+ local -x COLUMNS=80
+ epytest
+}
diff --git a/dev-python/zipp/zipp-3.8.0.ebuild b/dev-python/zipp/zipp-3.8.0.ebuild
index 631d70bf9bf7..d9d15ebf97fd 100644
--- a/dev-python/zipp/zipp-3.8.0.ebuild
+++ b/dev-python/zipp/zipp-3.8.0.ebuild
@@ -23,9 +23,6 @@ BDEPEND="
)
"
-distutils_enable_sphinx docs \
- ">=dev-python/jaraco-packaging-3.2" \
- ">=dev-python/rst-linker-1.9"
distutils_enable_tests pytest
EPYTEST_DESELECT=(